> For the complete documentation index, see [llms.txt](https://layer-akira.gitbook.io/layerakira-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://layer-akira.gitbook.io/layerakira-documentation/integration/endpoints/common.md).

# Common

## Response structure

Failed response structure:

`{ "code": 25, "error": "Exchange cant process order ...." }`

* **`code` (integer):** Represents the internal status code indicating the nature of the failure.
* **`error` (string):** Provides a human-readable description of the encountered error.

Successful response structure:

&#x20;`{ "result": "Some successful result data here." }`

* **`result` (any):** Contains the successful response data.
* Prices and quantities, and amounts are returned in normal format For example price of USDC 1945.4 will be presented as "1945.4".

## Auth

For the endpoints labelled with [**AUTH**](#auth), a valid JWT token is necessary for access. This token must be included in the 'Authorization' header when making a request. If the authentication header is incorrect, users will receive a failed response with an HTTP status code of 401, signalling unauthorized access.

## Rate Limits

In the context of your API, each endpoint is subject to a rate limit, individually specified for each trader. If a user exceeds this designated rate limit, the system will respond with an HTTP status code of 429, indicating that the rate limit has been reached. The accompanying error description will provide information on the suggested sleep time in milliseconds after which the trader can attempt to repeat the request. It's crucial to note that the abuse of rate limits can have a negative impact on a user's overall rate limits, affecting their ability to interact with the API. This ensures fair usage and encourages responsible and considerate utilization of API resources


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://layer-akira.gitbook.io/layerakira-documentation/integration/endpoints/common.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
